Package org.eclipse.m2m.atl.adt.runner

## Class CreateModuleProjectWriter

- java.lang.Object
- - org.eclipse.m2m.atl.adt.runner.CreateModuleProjectWriter

    public class CreateModuleProjectWriter
    extends java.lang.Object

### Field Summary

Fields
`protected static java.lang.String` `nl`
`java.lang.String` `NL`
`protected java.lang.String` `TEXT_1`
`protected java.lang.String` `TEXT_2`
`protected java.lang.String` `TEXT_3`

### Constructor Summary

Constructors
`CreateModuleProjectWriter()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CreateModuleProjectWriter` `create​(java.lang.String lineSeparator)`
`java.lang.String` `generate​(java.lang.Object argument)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nl

    protected static java.lang.String nl

#### NL

    public final java.lang.String NL

#### TEXT_1

    protected final java.lang.String TEXT_1

#### TEXT_2

    protected final java.lang.String TEXT_2

#### TEXT_3

    protected final java.lang.String TEXT_3

### Constructor Detail

#### CreateModuleProjectWriter

    public CreateModuleProjectWriter()

### Method Detail

#### create

    public static CreateModuleProjectWriter create​(java.lang.String lineSeparator)

#### generate

    public java.lang.String generate​(java.lang.Object argument)